# Bible

Bible allows you to get a specific (or random) Bible verse from the [API.Bible](https://scripture.api.bible/) API.  
This cog does require an api key to work.

## Installation

```bash
[p]repo add seacogs https://www.coastalcommits.com/SeaswimmerTheFsh/SeaCogs
[p]cog install seacogs bible
[p]cog load bible
```

## Setup

This cog requires an [API.Bible](https://scripture.api.bible/) API key to function. You can sign up for an account [here](https://scripture.api.bible/signup). This will also generate your first API key for you.

Then, you can use `[p]set api` to set the API key. Make sure your formatting matches the screenshot below.  
![image](img/bible/set-api.png)

## Commands

### bible passage
 - Usage: `[p]bible passage <book> <passage>`
 - Aliases: `verse`

Get a Bible passage.

Example usage:  
`[p]bible passage Genesis 1:1`  
`[p]bible passage John 3:16-3:17`

### bible random
 - Usage: `[p]bible random`

Get a random Bible verse.
